%define name	spandsp
%define version	0.0.1k
%define release	1mdk

%define	major	0
%define libname	%mklibname %{name} %{major}

Summary:	Steve's SpanDSP library for telephony spans.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:		spandsp-0.0.1-no_ebx_push.diff.bz2
URL:		http://www.opencall.org/spandsp
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	tiff-devel >= 3.6.1-3mdk
BuildRequires:	fltk-devel
BuildRequires:	fftw2-devel
BuildRequires:	audiofile-devel
BuildRequires:	libxml2-devel
BuildRequires:	jpeg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
spandsp is a library for DSP in telephony spans. It can perform
many of the common DSP functions, such as the generation and
detection of DTMF and supervisory tones.

%package -n	%{libname}
Summary:	Steve's SpanDSP library for telephony spans.
Group:          System/Libraries

%description -n	%{libname}
spandsp is a library for DSP in telephony spans. It can perform
many of the common DSP functions, such as the generation and
detection of DTMF and supervisory tones.

%package -n	%{libname}-devel
Summary:	Header files and libraries needed for development with SpanDSP.
Group:		Development/C
Provides:	%{name}-devel lib%{name}-devel
Obsoletes:	%{name}-devel lib%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
This package includes the header files and libraries needed for
developing programs using SpanDSP.

%prep

%setup -q -n %{name}-0.0.1
%patch0 -p0 -b .gcc34

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force && aclocal-1.7 && autoconf && automake-1.7

%configure2_5x

%make

# make test does not work yet
#%%make -C tests \
#    LIBS="-laudiofile -lfftw -lxml2 -ltiff -lfl -lpthread"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS ChangeLog DueDiligence NEWS README
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/spandsp
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Mon Sep 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.0.1-1mdk
- initial mandrake package
- used parts from the provided spec file
- added P0
